<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_102) on Tue Nov 29 02:31:48 EST 2016 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>DynamicCppToOO (org.eclipse.papyrus.designer.components.transformation.cpp 0.7.5-SNAPSHOT API)</title>
<meta name="date" content="2016-11-29">
<link rel="stylesheet" type="text/css" href="../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="DynamicCppToOO (org.eclipse.papyrus.designer.components.transformation.cpp 0.7.5-SNAPSHOT API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":9,"i2":10,"i3":10,"i4":9,"i5":9,"i6":10,"i7":10,"i8":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/DynamicCppToOO.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/components/transformation/cpp/xtend/CppUtils.html" title="class in org.eclipse.papyrus.designer.components.transformation.cpp.xtend"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/components/transformation/cpp/xtend/StaticCppToOO.html" title="class in org.eclipse.papyrus.designer.components.transformation.cpp.xtend"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/designer/components/transformation/cpp/xtend/DynamicCppToOO.html" target="_top">Frames</a></li>
<li><a href="DynamicCppToOO.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.designer.components.transformation.cpp.xtend</div>
<h2 title="Class DynamicCppToOO" class="title">Class DynamicCppToOO</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.eclipse.papyrus.designer.components.transformation.cpp.xtend.DynamicCppToOO</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.components/org.eclipse.papyrus.designer.components.transformation/apidocs/org/eclipse/papyrus/designer/components/transformation/extensions/IOOTrafo.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.components.transformation.extensions">IOOTrafo</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">DynamicCppToOO</span>
extends <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>
implements <a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.components/org.eclipse.papyrus.designer.components.transformation/apidocs/org/eclipse/papyrus/designer/components/transformation/extensions/IOOTrafo.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.components.transformation.extensions">IOOTrafo</a></pre>
<div class="block">This class realizes the dynamic variant of the OO-transformation</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected org.eclipse.uml2.uml.Class</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/components/transformation/cpp/xtend/DynamicCppToOO.html#bootloader">bootloader</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.transformation/org.eclipse.papyrus.designer.transformation.core/apidocs/org/eclipse/papyrus/designer/transformation/core/transformations/LazyCopier.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.transformation.core.transformations">LazyCopier</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/components/transformation/cpp/xtend/DynamicCppToOO.html#copier">copier</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/components/transformation/cpp/xtend/DynamicCppToOO.html#DynamicCppToOO--">DynamicCppToOO</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/components/transformation/cpp/xtend/DynamicCppToOO.html#addConnectionOperation-org.eclipse.uml2.uml.Class-">addConnectionOperation</a></span>(org.eclipse.uml2.uml.Class&nbsp;compositeImplementation)</code>
<div class="block">Add an operation "createConnections" that implements the connections
 between composite parts.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/components/transformation/cpp/xtend/DynamicCppToOO.html#addConnectPortOperation-org.eclipse.uml2.uml.Class-">addConnectPortOperation</a></span>(org.eclipse.uml2.uml.Class&nbsp;implementation)</code>
<div class="block">Add a connect_<portName> operation for ports with a required interface.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/components/transformation/cpp/xtend/DynamicCppToOO.html#addGetPortOperation-org.eclipse.uml2.uml.Class-">addGetPortOperation</a></span>(org.eclipse.uml2.uml.Class&nbsp;implementation)</code>
<div class="block">Add the get_p operation for each port with a provided interface.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/components/transformation/cpp/xtend/DynamicCppToOO.html#addPortOperations-org.eclipse.uml2.uml.Class-">addPortOperations</a></span>(org.eclipse.uml2.uml.Class&nbsp;implementation)</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/components/transformation/cpp/xtend/DynamicCppToOO.html#connectPorts-java.util.Map-org.eclipse.uml2.uml.Connector-org.eclipse.uml2.uml.ConnectorEnd-org.eclipse.uml2.uml.ConnectorEnd-org.eclipse.uml2.uml.Port-">connectPorts</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;org.eclipse.uml2.uml.ConnectorEnd,<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Integer.html?is-external=true" title="class or interface in java.lang">Integer</a>&gt;&nbsp;indexMap,
            org.eclipse.uml2.uml.Connector&nbsp;connector,
            org.eclipse.uml2.uml.ConnectorEnd&nbsp;receptacleEnd,
            org.eclipse.uml2.uml.ConnectorEnd&nbsp;facetEnd,
            org.eclipse.uml2.uml.Port&nbsp;subPort)</code>
<div class="block">Create the body C++ code code that creates a connection between the two ends
 of a connector.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/components/transformation/cpp/xtend/DynamicCppToOO.html#getIndexName-java.util.Map-org.eclipse.uml2.uml.Port-org.eclipse.uml2.uml.ConnectorEnd-">getIndexName</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;org.eclipse.uml2.uml.ConnectorEnd,<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Integer.html?is-external=true" title="class or interface in java.lang">Integer</a>&gt;&nbsp;indexMap,
            org.eclipse.uml2.uml.Port&nbsp;port,
            org.eclipse.uml2.uml.ConnectorEnd&nbsp;end)</code>
<div class="block">Handle ports with multiplicity > 1.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/components/transformation/cpp/xtend/DynamicCppToOO.html#init-org.eclipse.papyrus.designer.transformation.core.transformations.LazyCopier-org.eclipse.uml2.uml.Class-">init</a></span>(<a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.transformation/org.eclipse.papyrus.designer.transformation.core/apidocs/org/eclipse/papyrus/designer/transformation/core/transformations/LazyCopier.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.transformation.core.transformations">LazyCopier</a>&nbsp;copier,
    org.eclipse.uml2.uml.Class&nbsp;bootloader)</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/components/transformation/cpp/xtend/DynamicCppToOO.html#initPartBody-org.eclipse.uml2.uml.Property-">initPartBody</a></span>(org.eclipse.uml2.uml.Property&nbsp;part)</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/components/transformation/cpp/xtend/DynamicCppToOO.html#transformParts-org.eclipse.uml2.uml.Class-">transformParts</a></span>(org.eclipse.uml2.uml.Class&nbsp;compositeImplementation)</code>
<div class="block">Transform parts if necessary.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="copier">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>copier</h4>
<pre>protected&nbsp;<a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.transformation/org.eclipse.papyrus.designer.transformation.core/apidocs/org/eclipse/papyrus/designer/transformation/core/transformations/LazyCopier.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.transformation.core.transformations">LazyCopier</a> copier</pre>
</li>
</ul>
<a name="bootloader">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>bootloader</h4>
<pre>protected&nbsp;org.eclipse.uml2.uml.Class bootloader</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="DynamicCppToOO--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>DynamicCppToOO</h4>
<pre>public&nbsp;DynamicCppToOO()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="init-org.eclipse.papyrus.designer.transformation.core.transformations.LazyCopier-org.eclipse.uml2.uml.Class-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>init</h4>
<pre>public&nbsp;void&nbsp;init(<a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.transformation/org.eclipse.papyrus.designer.transformation.core/apidocs/org/eclipse/papyrus/designer/transformation/core/transformations/LazyCopier.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.transformation.core.transformations">LazyCopier</a>&nbsp;copier,
                 org.eclipse.uml2.uml.Class&nbsp;bootloader)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.components/org.eclipse.papyrus.designer.components.transformation/apidocs/org/eclipse/papyrus/designer/components/transformation/extensions/IOOTrafo.html?is-external=true#init-org.eclipse.papyrus.designer.transformation.core.transformations.LazyCopier-org.eclipse.uml2.uml.Class-" title="class or interface in org.eclipse.papyrus.designer.components.transformation.extensions">init</a></code>&nbsp;in interface&nbsp;<code><a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.components/org.eclipse.papyrus.designer.components.transformation/apidocs/org/eclipse/papyrus/designer/components/transformation/extensions/IOOTrafo.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.components.transformation.extensions">IOOTrafo</a></code></dd>
</dl>
</li>
</ul>
<a name="addPortOperations-org.eclipse.uml2.uml.Class-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addPortOperations</h4>
<pre>public&nbsp;void&nbsp;addPortOperations(org.eclipse.uml2.uml.Class&nbsp;implementation)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.components/org.eclipse.papyrus.designer.components.transformation/apidocs/org/eclipse/papyrus/designer/components/transformation/extensions/IOOTrafo.html?is-external=true#addPortOperations-org.eclipse.uml2.uml.Class-" title="class or interface in org.eclipse.papyrus.designer.components.transformation.extensions">addPortOperations</a></code>&nbsp;in interface&nbsp;<code><a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.components/org.eclipse.papyrus.designer.components.transformation/apidocs/org/eclipse/papyrus/designer/components/transformation/extensions/IOOTrafo.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.components.transformation.extensions">IOOTrafo</a></code></dd>
</dl>
</li>
</ul>
<a name="addGetPortOperation-org.eclipse.uml2.uml.Class-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addGetPortOperation</h4>
<pre>public&nbsp;void&nbsp;addGetPortOperation(org.eclipse.uml2.uml.Class&nbsp;implementation)</pre>
<div class="block">Add the get_p operation for each port with a provided interface. It also
 adds a suitable implementation that evaluates delegation connectors from
 the port to a property within the composite. The delegation target could
 either be a normal class (no port) or an inner component.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>implementation</code> - </dd>
</dl>
</li>
</ul>
<a name="addConnectPortOperation-org.eclipse.uml2.uml.Class-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addConnectPortOperation</h4>
<pre>public static&nbsp;void&nbsp;addConnectPortOperation(org.eclipse.uml2.uml.Class&nbsp;implementation)</pre>
<div class="block">Add a connect_<portName> operation for ports with a required interface.
 Whereas operation and a behavior is added for each owned port, a behavior
 (method) is needed for ports inherited from a component type (the
 behavior is implementation specific, as it needs to take delegation to
 parts into account)</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>implementation</code> - </dd>
</dl>
</li>
</ul>
<a name="addConnectionOperation-org.eclipse.uml2.uml.Class-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addConnectionOperation</h4>
<pre>public&nbsp;void&nbsp;addConnectionOperation(org.eclipse.uml2.uml.Class&nbsp;compositeImplementation)
                            throws <a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.transformation/org.eclipse.papyrus.designer.transformation.base/apidocs/org/eclipse/papyrus/designer/transformation/base/utils/TransformationException.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.transformation.base.utils">TransformationException</a></pre>
<div class="block">Add an operation "createConnections" that implements the connections
 between composite parts. It only takes the assembly connections into
 account, since delegation connectors are handled by the get_ and connect_
 port operations above.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.components/org.eclipse.papyrus.designer.components.transformation/apidocs/org/eclipse/papyrus/designer/components/transformation/extensions/IOOTrafo.html?is-external=true#addConnectionOperation-org.eclipse.uml2.uml.Class-" title="class or interface in org.eclipse.papyrus.designer.components.transformation.extensions">addConnectionOperation</a></code>&nbsp;in interface&nbsp;<code><a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.components/org.eclipse.papyrus.designer.components.transformation/apidocs/org/eclipse/papyrus/designer/components/transformation/extensions/IOOTrafo.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.components.transformation.extensions">IOOTrafo</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>implementation</code> - </dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.transformation/org.eclipse.papyrus.designer.transformation.base/apidocs/org/eclipse/papyrus/designer/transformation/base/utils/TransformationException.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.transformation.base.utils">TransformationException</a></code></dd>
</dl>
</li>
</ul>
<a name="connectPorts-java.util.Map-org.eclipse.uml2.uml.Connector-org.eclipse.uml2.uml.ConnectorEnd-org.eclipse.uml2.uml.ConnectorEnd-org.eclipse.uml2.uml.Port-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>connectPorts</h4>
<pre>public static&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;connectPorts(<a href="http://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;org.eclipse.uml2.uml.ConnectorEnd,<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Integer.html?is-external=true" title="class or interface in java.lang">Integer</a>&gt;&nbsp;indexMap,
                                  org.eclipse.uml2.uml.Connector&nbsp;connector,
                                  org.eclipse.uml2.uml.ConnectorEnd&nbsp;receptacleEnd,
                                  org.eclipse.uml2.uml.ConnectorEnd&nbsp;facetEnd,
                                  org.eclipse.uml2.uml.Port&nbsp;subPort)
                           throws <a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.transformation/org.eclipse.papyrus.designer.transformation.base/apidocs/org/eclipse/papyrus/designer/transformation/base/utils/TransformationException.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.transformation.base.utils">TransformationException</a></pre>
<div class="block">Create the body C++ code code that creates a connection between the two ends
 of a connector. This function checks whether the first end really is a receptacle
 and the second really is a facet.
 TODO: cleaner rewrite in xtend</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>indexMap</code> - a map of indices that are used in case of multiplex
            receptacles</dd>
<dd><code>connector</code> - a connector</dd>
<dd><code>receptacleEnd</code> - an end of the connector that may point to a receptacle port</dd>
<dd><code>facetEnd</code> - an end of the connector that may point to a facet port</dd>
<dd><code>subPort</code> - a sub-port in case of extended ports</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.transformation/org.eclipse.papyrus.designer.transformation.base/apidocs/org/eclipse/papyrus/designer/transformation/base/utils/TransformationException.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.transformation.base.utils">TransformationException</a></code></dd>
</dl>
</li>
</ul>
<a name="getIndexName-java.util.Map-org.eclipse.uml2.uml.Port-org.eclipse.uml2.uml.ConnectorEnd-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getIndexName</h4>
<pre>public static&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getIndexName(<a href="http://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;org.eclipse.uml2.uml.ConnectorEnd,<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Integer.html?is-external=true" title="class or interface in java.lang">Integer</a>&gt;&nbsp;indexMap,
                                  org.eclipse.uml2.uml.Port&nbsp;port,
                                  org.eclipse.uml2.uml.ConnectorEnd&nbsp;end)</pre>
<div class="block">Handle ports with multiplicity > 1. The idea is that we could have
 multiple connections targeting a receptacle. The first connection would
 start with index 0. Implementations can make no assumption which
 connection is associated with a certain index. [want to avoid associative
 array in runtime].</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>port</code> - </dd>
<dd><code>end</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="transformParts-org.eclipse.uml2.uml.Class-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>transformParts</h4>
<pre>public&nbsp;void&nbsp;transformParts(org.eclipse.uml2.uml.Class&nbsp;compositeImplementation)</pre>
<div class="block">Transform parts if necessary.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.components/org.eclipse.papyrus.designer.components.transformation/apidocs/org/eclipse/papyrus/designer/components/transformation/extensions/IOOTrafo.html?is-external=true#transformParts-org.eclipse.uml2.uml.Class-" title="class or interface in org.eclipse.papyrus.designer.components.transformation.extensions">transformParts</a></code>&nbsp;in interface&nbsp;<code><a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.components/org.eclipse.papyrus.designer.components.transformation/apidocs/org/eclipse/papyrus/designer/components/transformation/extensions/IOOTrafo.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.components.transformation.extensions">IOOTrafo</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>compositeImplementation</code> - a (composite) component</dd>
</dl>
</li>
</ul>
<a name="initPartBody-org.eclipse.uml2.uml.Property-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>initPartBody</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;initPartBody(org.eclipse.uml2.uml.Property&nbsp;part)</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/DynamicCppToOO.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/components/transformation/cpp/xtend/CppUtils.html" title="class in org.eclipse.papyrus.designer.components.transformation.cpp.xtend"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/components/transformation/cpp/xtend/StaticCppToOO.html" title="class in org.eclipse.papyrus.designer.components.transformation.cpp.xtend"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/designer/components/transformation/cpp/xtend/DynamicCppToOO.html" target="_top">Frames</a></li>
<li><a href="DynamicCppToOO.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
